I couldn't spot anything on this in the upgrade instructions, and as it's something that could affect lots of people, I thought I'd ask the question here.

When upgrading CiviCRM, what is considered best practice regarding extensions? Should they be disabled prior to the upgrade?

If, as a result of upgrading Civi, one or more of my installed extensions is no longer compatible, what's the best procedure to follow? Should I attempt to update/upgrade extensions to a compatible version before or after upgrading CiviCRM?

In general, I'd recommend no.

Some extensions - literally - may not be reinstallable if they aren't qualified for that version of Civi.

My recommendation: TAKE BACKUPS!!! Then don't disable extensions and just go ahead with the upgrade.

  • 1
    I agree - some extensions crash when disable so I've stopped doing that. As JohnFF says, take a backup – Andy Clark Oct 20 '16 at 14:04

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.